# compressor.hpp File Reference

compression engine implementation More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "integers.hpp"`
`#include "wrapperlib.hpp"`

Go to the source code of this file.

## Classes
class | libdar::compressor
| compression class for gzip and bzip2 algorithms More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | libdar::compression { libdar::none = 'n', libdar::zip = 'p', libdar::gzip = 'z', libdar::bzip2 = 'y' }
| the different compression algorithm available More...

## Detailed Description

compression engine implementation

Definition in file compressor.hpp.